package com.tofly.watermeter.custom.service.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.dto.ScrapStatisticsDto;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.ImportTurnOverDto;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.TurnOverDto;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

public interface TurnOverService {

    Page<Map> canTurnOver(Page page, TurnOverDto dto);

    List<Map> count(HttpServletResponse response, TurnOverDto dto);

    Page<Map> queryInfo(HttpServletResponse response, Page page, TurnOverDto dto);

    /**
     * 导入移交信息
     *
     * @param dto dto
     * @return boolean
     */
    boolean importTurnOver(ImportTurnOverDto dto);

    /**
     * 获取不存在数据库水表编码
     *
     * @param code code
     * @return list
     */
    List<String> getNonEntityCode(String code, String sbzt);

    /**
     * 水表报废统计
     * @param dto dto
     * @return list
     */
    List<Map> scrapStatistics(ScrapStatisticsDto dto);

    /**
     * 报废详情
     * @param page page
     * @param dto dto
     * @return page
     */
    Page<Map> scrapDetail(Page page, ScrapStatisticsDto dto);

}
